# IRdRotationSnapTool Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetParameters (IRsNode *pViewNode, IRsObjectList *pObjectList)
HRESULT | GetSnappedAngle ([in] RtRotationSnappingParameters *pSnapParams,[out] RtVector2f *pfAngle,[out] RtFloat *pfWeight)
HRESULT | ApplyRotationConstraints ([in] RtRotationSnappingParameters *pSnapParams)
HRESULT | NotifyAngleSnapActive ()
HRESULT | NotifyAngleSnapperDeactivate ()
HRESULT | HideAngleSnapMarkers ()

## Detailed Description

IRdRotationSnapTool is interface for data objects that provide snapping capabilities.

## Member Function Documentation

HRESULT IRdRotationSnapTool::SetParameters | ( | IRsNode * | pViewNode,
|  | IRsObjectList * | pObjectList |
| ) |  |  |

Snapping manager calls SetParameters of the tool, to setup it's internal structures and update pObjectList if needed. This is called once during initialization of snapping manager session.

Parameters:

  | pViewNode | defines node of current view
  | pObjectList | defines list of objects. Tool can modify this list as it needs

Returns:
  standard HRESULT processing will be applied to returned value

HRESULT IRdRotationSnapTool::GetSnappedAngle | ( | [in] RtRotationSnappingParameters * | pSnapParams,
|  | [out] RtVector2f * | pfAngle,
|  | [out] RtFloat * | pfWeight |
| ) |  |  |

Compute snapped Angle.

Parameters:

  | pSnapParams | Snapping parameters
  | pfAngle | Snapped angle.
  | pfWeight | Weight of snapped angle. This weight is used to choose best snapping angle from all active tools.

Returns:
  standard HRESULT processing will be applied to returned value

HRESULT IRdRotationSnapTool::ApplyRotationConstraints | ( | [in] RtRotationSnappingParameters * | pSnapParams | ) |

Compute constraints. Tool should update angle steps inside pSnapperInfo structure of RtRotationSnappingParameters structure to constraint movement.

Parameters:

  | pSnapParams | Snapping parameters

Returns:
  standard HRESULT processing will be applied to returned value

HRESULT IRdRotationSnapTool::NotifyAngleSnapActive | ( |  | ) |

Notification called by snap manager after tool becomes active (it's snapping angle was chosen as the best)

HRESULT IRdRotationSnapTool::NotifyAngleSnapperDeactivate | ( |  | ) |

Notification called by snap manager when snapping session is terminated.

HRESULT IRdRotationSnapTool::HideAngleSnapMarkers | ( |  | ) |

Force tool to hide snapping markers.